[stabmarg1,destabunc1,report1,info01] = robustperf(clp_hinf);
[stabmarg2,destabunc2,report2,info02] = robustperf(clp_h2hinf);
[stabmarg3,destabunc3,report3,info03] = robustperf(clp_mu);
figure(1)
semilogx(info01.MussvBnds(:,1),'b',info02.MussvBnds(:,1),'--k',...
info03.MussvBnds(:,1),'-.r')
xlabel('Frequency (rad/sec)');
ylabel('Mu upper/lower bounds');
title('Robust performance \mu Plot');
legend('H_{\infty}' ,'H_2/H_{\infty}', '\mu'), grid on
gtext('H_{\infty}')
gtext('H_2/H_{\infty}')
gtext('\mu')

omega = logspace(-3,3,200); 
sv_hinf = sigma(k1_hinf,omega);
sv_h2hinf = sigma(k1_h2hinf,omega);
sv_mu = sigma(k1_mu,omega);
 
 
plot(omega,20*log10(sv_hinf(1,:)),'linewidth',2);hold on;
plot(omega,20*log10(sv_h2hinf(1,:)),'r','linewidth',2);hold on
plot(omega,20*log10(sv_mu(1,:)),'k','linewidth',2)
legend('H_\infty','H_2/H_\infty','\mu');grid on
xlabel('Frequency (rad/sec)');
