%% Mu synthesis
clc;
clear all; 
close all;
 
s = zpk('s');
%%
G = [tf([-1.87],[107.5 1]) tf([1.87],[79.4 1]) ;
    tf([0.88],[185 1]) tf([0.88],[185 1])];
 
k11 = 10^(-0.67/20);
k22 = 10^(-1.2/20); 
a = 0.007;
b = a / (k22 / k11);
 
WDEL = [k11 * tf([1 a],[1 b]) 0 ; 0 k11 * tf([1 a],[1 b])];
 
del = ultidyn('del',[2,2]);
Gpert = (eye(2) + del * WDEL)*G;
 
Ws = 0.4*[(s + 0.007)/(s + 5e-6) 0;...
       0 (s + 0.002)/(s + 5e-6)];
% Ws = [(0.05)*(s + 0.05)/(s + 1e-7) 0;
%       0 (0.05)*(s + 0.005)/(s + 1e-7)]; 
Wu = [0.1 0 ; 0 0.1];
% Wu = 0.8*[1 0 ; 0 1];
%%
% Augment perturbed system
systemnames = 'Gpert Ws Wu';
inputvar = '[yd(2) ; u(2)]';
outputvar = '[Ws; Wu; yd - Gpert ]';
input_to_Gpert = '[ u ]';
input_to_Ws = '[yd - Gpert]';
input_to_Wu = '[u]';
sysoutname = 'G_mu';
cleanupsysic = 'yes';
sysic
G_mu = minreal(G_mu);
%% DK iteration
fmu = logspace(-2,4,200);
opt = dkitopt('FrequencyVector',fmu,'NumberofAutoIterations',6,...
'DisplayWhileAutoIter','on');
[kmu,CL_mu,bnd,dkinfo] = dksyn(G_mu,2,2,opt);
clp_mu=CL_mu;
k1_mu=kmu;
hankelsv(kmu)
figure(2)
k1_red = reduce(kmu,5);
omega = logspace(-3,3,200); 
sv1 = sigma(kmu,omega);
sv2 = sigma(k1_red,omega);
subplot(2,1,1);
plot(omega,20*log10(sv1(1,:)),'linewidth',2);hold on;
plot(omega,20*log10(sv2(1,:)),'--r','linewidth',2);
legend('max sv for kmu','max sv for k1_{red}');grid on
 
subplot(2,1,2);
plot(omega,20*log10(sv1(2,:)),'linewidth',2);hold on;
plot(omega,20*log10(sv2(2,:)),'--r','linewidth',2);
legend('min sv for kmu','min sv for k1_{red}');grid on  
